Package com.sun.messaging.jms.management.server

## Class DestinationAttributes

- java.lang.Object
- - com.sun.messaging.jms.management.server.DestinationAttributes

-     public class DestinationAttributes
      extends java.lang.Object

  Class containing information on destination attributes.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `AUTO_CREATE_QUEUE_MAX_NUM_ACTIVE_CONSUMERS` | Max number of active consumers for auto created queues.
    `static java.lang.String` | `AUTO_CREATE_QUEUE_MAX_NUM_BACKUP_CONSUMERS` | Max number of backup consumers for auto created queues.
    `static java.lang.String` | `AUTO_CREATE_QUEUES` | Auto creation of queues.
    `static java.lang.String` | `AUTO_CREATE_TOPICS` | Auto creation of topics.
    `static java.lang.String` | `AVG_NUM_ACTIVE_CONSUMERS` | Average number of active consumers
    `static java.lang.String` | `AVG_NUM_BACKUP_CONSUMERS` | Average number of backup consumers
    `static java.lang.String` | `AVG_NUM_CONSUMERS` | Average number of consumers
    `static java.lang.String` | `AVG_NUM_MSGS` | Average number of messages
    `static java.lang.String` | `AVG_TOTAL_MSG_BYTES` | Average total message bytes
    `static java.lang.String` | `CONNECTION_ID` | Connection ID - only for temporary destinations
    `static java.lang.String` | `CONSUMER_FLOW_LIMIT` | Consumer flow limit
    `static java.lang.String` | `CREATED_BY_ADMIN` | Created by administrator.
    `static java.lang.String` | `DISK_RESERVED` | Disk reserved.
    `static java.lang.String` | `DISK_USED` | Disk Used.
    `static java.lang.String` | `DISK_UTILIZATION_RATIO` | Disk utilization ratio.
    `static java.lang.String` | `DMQ_TRUNCATE_BODY` | Truncate bodies of messages in DMQ.
    `static java.lang.String` | `LIMIT_BEHAVIOR` | Limit behavior
    `static java.lang.String` | `LOCAL_DELIVERY_PREFERRED` | LocalDeliveryPreferred
    `static java.lang.String` | `LOCAL_ONLY` | Local Only
    `static java.lang.String` | `LOG_DEAD_MSGS` | Logging of dead messages.
    `static java.lang.String` | `MAX_BYTES_PER_MSG` | Max size of a message.
    `static java.lang.String` | `MAX_NUM_ACTIVE_CONSUMERS` | Max number of active consumers.
    `static java.lang.String` | `MAX_NUM_BACKUP_CONSUMERS` | Max number of backup consumers.
    `static java.lang.String` | `MAX_NUM_MSGS` | Max number of messages.
    `static java.lang.String` | `MAX_NUM_PRODUCERS` | Max number of producers.
    `static java.lang.String` | `MAX_TOTAL_MSG_BYTES` | Max total msg bytes
    `static java.lang.String` | `MSG_BYTES_IN` | Msg bytes in
    `static java.lang.String` | `MSG_BYTES_OUT` | Msg bytes out
    `static java.lang.String` | `NAME` | Destination name
    `static java.lang.String` | `NEXT_MESSAGE_ID` | Next Message to be delivered
    `static java.lang.String` | `NUM_ACTIVE_CONSUMERS` | Number of active consumers
    `static java.lang.String` | `NUM_BACKUP_CONSUMERS` | Number of backup consumers
    `static java.lang.String` | `NUM_CONSUMERS` | Number of consumers
    `static java.lang.String` | `NUM_DESTINATIONS` | Number of destinations
    `static java.lang.String` | `NUM_MSGS` | Number of messages
    `static java.lang.String` | `NUM_MSGS_HELD_IN_TRANSACTION` | Number of messages held in transaction
    `static java.lang.String` | `NUM_MSGS_IN` | Number of msgs in
    `static java.lang.String` | `NUM_MSGS_IN_DELAY_DELIVERY` | Number of messages in delay delivery
    `static java.lang.String` | `NUM_MSGS_IN_DMQ` | Number of messages in dead message queue.
    `static java.lang.String` | `NUM_MSGS_OUT` | Number of msgs out
    `static java.lang.String` | `NUM_MSGS_PENDING_ACKS` | Number of messages pending acknowledgement
    `static java.lang.String` | `NUM_MSGS_REMOTE` | Number of messages originating from producers on remote brokers
    `static java.lang.String` | `NUM_PRODUCERS` | Number of producers
    `static java.lang.String` | `NUM_WILDCARD_CONSUMERS` | Number of wildcard consumers
    `static java.lang.String` | `NUM_WILDCARD_PRODUCERS` | Number of wildcard producers
    `static java.lang.String` | `NUM_WILDCARDS` | Number of wildcards
    `static java.lang.String` | `PEAK_MSG_BYTES` | Peak message bytes
    `static java.lang.String` | `PEAK_NUM_ACTIVE_CONSUMERS` | Peak number of active consumers
    `static java.lang.String` | `PEAK_NUM_BACKUP_CONSUMERS` | Peak number of backup consumers
    `static java.lang.String` | `PEAK_NUM_CONSUMERS` | Peak number of consumers
    `static java.lang.String` | `PEAK_NUM_MSGS` | Peak number of messages
    `static java.lang.String` | `PEAK_TOTAL_MSG_BYTES` | Peak total message bytes
    `static java.lang.String` | `RELOAD_XML_SCHEMA_ON_FAILURE` |
    `static java.lang.String` | `STATE` | Destination state.
    `static java.lang.String` | `STATE_LABEL` | String representation of destination state.
    `static java.lang.String` | `TEMPORARY` | Attribute indicating if a destination is temporary or not.
    `static java.lang.String` | `TOTAL_MSG_BYTES` | Total message bytes.
    `static java.lang.String` | `TOTAL_MSG_BYTES_HELD_IN_TRANSACTION` | Total message bytes held in transaction.
    `static java.lang.String` | `TOTAL_MSG_BYTES_IN_DMQ` | Total message bytes in dead message queue.
    `static java.lang.String` | `TOTAL_MSG_BYTES_REMOTE` | Total message bytes from messages originating from producers on remote brokers.
    `static java.lang.String` | `TYPE` | Destination type
    `static java.lang.String` | `USE_DMQ` | Use dead message queue.
    `static java.lang.String` | `VALIDATE_XML_SCHEMA_ENABLED` |
    `static java.lang.String` | `XML_SCHEMA_URI_LIST` | List of XML schema URIs

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSUMER_FLOW_LIMIT

          public static final java.lang.String CONSUMER_FLOW_LIMIT

      Consumer flow limit
      See Also:
        Constant Field Values

    - #### LOCAL_ONLY

          public static final java.lang.String LOCAL_ONLY

      Local Only
      See Also:
        Constant Field Values

    - #### LIMIT_BEHAVIOR

          public static final java.lang.String LIMIT_BEHAVIOR

      Limit behavior
      See Also:
        Constant Field Values

    - #### LOCAL_DELIVERY_PREFERRED

          public static final java.lang.String LOCAL_DELIVERY_PREFERRED

      LocalDeliveryPreferred
      See Also:
        Constant Field Values

    - #### AUTO_CREATE_QUEUES

          public static final java.lang.String AUTO_CREATE_QUEUES

      Auto creation of queues.
      See Also:
        Constant Field Values

    - #### AUTO_CREATE_QUEUE_MAX_NUM_ACTIVE_CONSUMERS

          public static final java.lang.String AUTO_CREATE_QUEUE_MAX_NUM_ACTIVE_CONSUMERS

      Max number of active consumers for auto created queues.
      See Also:
        Constant Field Values

    - #### AUTO_CREATE_QUEUE_MAX_NUM_BACKUP_CONSUMERS

          public static final java.lang.String AUTO_CREATE_QUEUE_MAX_NUM_BACKUP_CONSUMERS

      Max number of backup consumers for auto created queues.
      See Also:
        Constant Field Values

    - #### AUTO_CREATE_TOPICS

          public static final java.lang.String AUTO_CREATE_TOPICS

      Auto creation of topics.
      See Also:
        Constant Field Values

    - #### CONNECTION_ID

          public static final java.lang.String CONNECTION_ID

      Connection ID - only for temporary destinations
      See Also:
        Constant Field Values

    - #### DMQ_TRUNCATE_BODY

          public static final java.lang.String DMQ_TRUNCATE_BODY

      Truncate bodies of messages in DMQ.
      See Also:
        Constant Field Values

    - #### LOG_DEAD_MSGS

          public static final java.lang.String LOG_DEAD_MSGS

      Logging of dead messages.
      See Also:
        Constant Field Values

    - #### MAX_BYTES_PER_MSG

          public static final java.lang.String MAX_BYTES_PER_MSG

      Max size of a message.
      See Also:
        Constant Field Values

    - #### MAX_NUM_ACTIVE_CONSUMERS

          public static final java.lang.String MAX_NUM_ACTIVE_CONSUMERS

      Max number of active consumers.
      See Also:
        Constant Field Values

    - #### MAX_NUM_BACKUP_CONSUMERS

          public static final java.lang.String MAX_NUM_BACKUP_CONSUMERS

      Max number of backup consumers.
      See Also:
        Constant Field Values

    - #### MAX_NUM_MSGS

          public static final java.lang.String MAX_NUM_MSGS

      Max number of messages.
      See Also:
        Constant Field Values

    - #### MAX_NUM_PRODUCERS

          public static final java.lang.String MAX_NUM_PRODUCERS

      Max number of producers.
      See Also:
        Constant Field Values

    - #### MAX_TOTAL_MSG_BYTES

          public static final java.lang.String MAX_TOTAL_MSG_BYTES

      Max total msg bytes
      See Also:
        Constant Field Values

    - #### NUM_DESTINATIONS

          public static final java.lang.String NUM_DESTINATIONS

      Number of destinations
      See Also:
        Constant Field Values

    - #### NUM_MSGS

          public static final java.lang.String NUM_MSGS

      Number of messages
      See Also:
        Constant Field Values

    - #### NUM_MSGS_REMOTE

          public static final java.lang.String NUM_MSGS_REMOTE

      Number of messages originating from producers on remote brokers
      See Also:
        Constant Field Values

    - #### NUM_MSGS_HELD_IN_TRANSACTION

          public static final java.lang.String NUM_MSGS_HELD_IN_TRANSACTION

      Number of messages held in transaction
      See Also:
        Constant Field Values

    - #### NUM_MSGS_PENDING_ACKS

          public static final java.lang.String NUM_MSGS_PENDING_ACKS

      Number of messages pending acknowledgement
      See Also:
        Constant Field Values

    - #### NUM_MSGS_IN_DELAY_DELIVERY

          public static final java.lang.String NUM_MSGS_IN_DELAY_DELIVERY

      Number of messages in delay delivery
      See Also:
        Constant Field Values

    - #### NUM_MSGS_IN_DMQ

          public static final java.lang.String NUM_MSGS_IN_DMQ

      Number of messages in dead message queue.
      See Also:
        Constant Field Values

    - #### TOTAL_MSG_BYTES

          public static final java.lang.String TOTAL_MSG_BYTES

      Total message bytes.
      See Also:
        Constant Field Values

    - #### TOTAL_MSG_BYTES_REMOTE

          public static final java.lang.String TOTAL_MSG_BYTES_REMOTE

      Total message bytes from messages originating from producers on remote brokers.
      See Also:
        Constant Field Values

    - #### TOTAL_MSG_BYTES_HELD_IN_TRANSACTION

          public static final java.lang.String TOTAL_MSG_BYTES_HELD_IN_TRANSACTION

      Total message bytes held in transaction.
      See Also:
        Constant Field Values

    - #### TOTAL_MSG_BYTES_IN_DMQ

          public static final java.lang.String TOTAL_MSG_BYTES_IN_DMQ

      Total message bytes in dead message queue.
      See Also:
        Constant Field Values

    - #### AVG_NUM_ACTIVE_CONSUMERS

          public static final java.lang.String AVG_NUM_ACTIVE_CONSUMERS

      Average number of active consumers
      See Also:
        Constant Field Values

    - #### AVG_NUM_BACKUP_CONSUMERS

          public static final java.lang.String AVG_NUM_BACKUP_CONSUMERS

      Average number of backup consumers
      See Also:
        Constant Field Values

    - #### AVG_NUM_CONSUMERS

          public static final java.lang.String AVG_NUM_CONSUMERS

      Average number of consumers
      See Also:
        Constant Field Values

    - #### AVG_NUM_MSGS

          public static final java.lang.String AVG_NUM_MSGS

      Average number of messages
      See Also:
        Constant Field Values

    - #### AVG_TOTAL_MSG_BYTES

          public static final java.lang.String AVG_TOTAL_MSG_BYTES

      Average total message bytes
      See Also:
        Constant Field Values

    - #### CREATED_BY_ADMIN

          public static final java.lang.String CREATED_BY_ADMIN

      Created by administrator.
      See Also:
        Constant Field Values

    - #### DISK_RESERVED

          public static final java.lang.String DISK_RESERVED

      Disk reserved.
      See Also:
        Constant Field Values

    - #### DISK_USED

          public static final java.lang.String DISK_USED

      Disk Used.
      See Also:
        Constant Field Values

    - #### DISK_UTILIZATION_RATIO

          public static final java.lang.String DISK_UTILIZATION_RATIO

      Disk utilization ratio.
      See Also:
        Constant Field Values

    - #### MSG_BYTES_IN

          public static final java.lang.String MSG_BYTES_IN

      Msg bytes in
      See Also:
        Constant Field Values

    - #### MSG_BYTES_OUT

          public static final java.lang.String MSG_BYTES_OUT

      Msg bytes out
      See Also:
        Constant Field Values

    - #### NAME

          public static final java.lang.String NAME

      Destination name
      See Also:
        Constant Field Values

    - #### NUM_ACTIVE_CONSUMERS

          public static final java.lang.String NUM_ACTIVE_CONSUMERS

      Number of active consumers
      See Also:
        Constant Field Values

    - #### NUM_BACKUP_CONSUMERS

          public static final java.lang.String NUM_BACKUP_CONSUMERS

      Number of backup consumers
      See Also:
        Constant Field Values

    - #### NUM_CONSUMERS

          public static final java.lang.String NUM_CONSUMERS

      Number of consumers
      See Also:
        Constant Field Values

    - #### NUM_WILDCARDS

          public static final java.lang.String NUM_WILDCARDS

      Number of wildcards
      See Also:
        Constant Field Values

    - #### NUM_WILDCARD_CONSUMERS

          public static final java.lang.String NUM_WILDCARD_CONSUMERS

      Number of wildcard consumers
      See Also:
        Constant Field Values

    - #### NUM_WILDCARD_PRODUCERS

          public static final java.lang.String NUM_WILDCARD_PRODUCERS

      Number of wildcard producers
      See Also:
        Constant Field Values

    - #### NUM_MSGS_IN

          public static final java.lang.String NUM_MSGS_IN

      Number of msgs in
      See Also:
        Constant Field Values

    - #### NUM_MSGS_OUT

          public static final java.lang.String NUM_MSGS_OUT

      Number of msgs out
      See Also:
        Constant Field Values

    - #### NUM_PRODUCERS

          public static final java.lang.String NUM_PRODUCERS

      Number of producers
      See Also:
        Constant Field Values

    - #### PEAK_MSG_BYTES

          public static final java.lang.String PEAK_MSG_BYTES

      Peak message bytes
      See Also:
        Constant Field Values

    - #### PEAK_NUM_ACTIVE_CONSUMERS

          public static final java.lang.String PEAK_NUM_ACTIVE_CONSUMERS

      Peak number of active consumers
      See Also:
        Constant Field Values

    - #### PEAK_NUM_BACKUP_CONSUMERS

          public static final java.lang.String PEAK_NUM_BACKUP_CONSUMERS

      Peak number of backup consumers
      See Also:
        Constant Field Values

    - #### PEAK_NUM_CONSUMERS

          public static final java.lang.String PEAK_NUM_CONSUMERS

      Peak number of consumers
      See Also:
        Constant Field Values

    - #### PEAK_NUM_MSGS

          public static final java.lang.String PEAK_NUM_MSGS

      Peak number of messages
      See Also:
        Constant Field Values

    - #### PEAK_TOTAL_MSG_BYTES

          public static final java.lang.String PEAK_TOTAL_MSG_BYTES

      Peak total message bytes
      See Also:
        Constant Field Values

    - #### STATE

          public static final java.lang.String STATE

      Destination state.
      See Also:
        Constant Field Values

    - #### NEXT_MESSAGE_ID

          public static final java.lang.String NEXT_MESSAGE_ID

      Next Message to be delivered
      See Also:
        Constant Field Values

    - #### STATE_LABEL

          public static final java.lang.String STATE_LABEL

      String representation of destination state.
      See Also:
        Constant Field Values

    - #### TEMPORARY

          public static final java.lang.String TEMPORARY

      Attribute indicating if a destination is temporary or not.
      See Also:
        Constant Field Values

    - #### TYPE

          public static final java.lang.String TYPE

      Destination type
      See Also:
        Constant Field Values

    - #### USE_DMQ

          public static final java.lang.String USE_DMQ

      Use dead message queue.
      See Also:
        Constant Field Values

    - #### VALIDATE_XML_SCHEMA_ENABLED

          public static final java.lang.String VALIDATE_XML_SCHEMA_ENABLED

      See Also:
        Constant Field Values

    - #### XML_SCHEMA_URI_LIST

          public static final java.lang.String XML_SCHEMA_URI_LIST

      List of XML schema URIs
      See Also:
        Constant Field Values

    - #### RELOAD_XML_SCHEMA_ON_FAILURE

          public static final java.lang.String RELOAD_XML_SCHEMA_ON_FAILURE

      See Also:
        Constant Field Values